{# RH: based on https://github.com/ckan/ckan/blob/ckan-2.10.4/ckan/templates/package/snippets/resources_list.html #}

{#
  Renders a list of resources with icons and view links.

  resources - A list of resources (dicts) to render
  pkg - A package dict that the resources belong to.

  Example:

  {% snippet "package/snippets/resources_list.html", pkg=pkg, resources=pkg.resources %}

  #}

  {% block resource_list %}
  {% set resources = resources | rejectattr('format', 'in', [
    'http://www.opengis.net/def/serviceType/ogc/wfs',
    'http://www.opengis.net/def/serviceType/ogc/wms',
    'https://github.com/OAI/OpenAPI-Specification/',
    ]) | list %} {# RH: TODO: create a custom filter for this, and base it on more than just the format. Also, keep in sync with ckanext/fds_theme/views/data_service.py #}
  {% if resources %}
    <section id="dataset-resources" class="resources">
      <h2>{{ _('Data and Resources') }}</h2>
      <ul class="{% block resource_list_class %}resource-list{% endblock %}">
        {% block resource_list_inner scoped %}
          {% set can_edit = can_edit or h.check_access('package_update', {'id':pkg.id }) %}
          {% for resource in resources %}
            {% snippet 'package/snippets/resource_item.html', pkg=pkg, res=resource, can_edit=can_edit %}
          {% endfor %}
        {% endblock %}
      </ul>
    {% else %}
      {% block resource_list_empty %}
        {% if h.check_access('resource_create', {'package_id': pkg['id']}) %}
          {% trans url=h.url_for(pkg.type ~ '_resource.new', id=pkg.name) %}
          <p class="empty">This dataset has no data, <a href="{{ url }}">why not add some?</a></p>
          {% endtrans %}
        {% else %}
          <p class="empty">{{ _('This dataset has no data') }}</p>
        {% endif %}
      {% endblock %}
    {% endif %}
  {% endblock %}
</section>
